Package com.io7m.cedarbridge.runtime.api

# Record Class CBQualifiedTypeName

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.runtime.api.CBQualifiedTypeName

Record Components:
  `packageName` - The package name
  `typeName` - The type name

All Implemented Interfaces:
  `Formattable`

public record CBQualifiedTypeName(String packageName, String typeName) extends Record implements Formattable
A qualified type name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBQualifiedTypeName(String packageName, String typeName)`
  A qualified type name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `void`
  `formatTo(Formatter formatter, int flags, int width, int precision)`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `packageName()`
  Returns the value of the `packageName` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `typeName()`
  Returns the value of the `typeName` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBQualifiedTypeName

    public CBQualifiedTypeName(String packageName, String typeName)
    A qualified type name.
    Parameters:
      `packageName` - The package name
      `typeName` - The type name

- ## Method Details

  - ### formatTo

    public void formatTo(Formatter formatter, int flags, int width, int precision)
    Specified by:
      `formatTo` in interface `Formattable`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### packageName

    public String packageName()
    Returns the value of the `packageName` record component.
    Returns:
      the value of the `packageName` record component

  - ### typeName

    public String typeName()
    Returns the value of the `typeName` record component.
    Returns:
      the value of the `typeName` record component